# Five Nights at Freddy's: Help Wanted 2 0.1-0.2
# BID: F7EB23F0D8E5A933

ALL_FPS:
  # r.VSync
  -
    type: write
    address: [MAIN, 0x53F45F8, 0]
    value_type: int32
    value: [0, 0]
  # r.DynamicRes.FrameTimeBudget
  -
    type: evaluate_write
    address: [MAIN, 0x5BC3628, 0]
    value_type: float
    value: ["TruncDec(FRAMETIME_TARGET, 2)", "TruncDec(FRAMETIME_TARGET, 2)"]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0x5BF1308, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  -
    type: block
    what: timing
